import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as input from '@mescius/wijmo.input';
import { getPalettes } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
// ColorPicker
let theColorPicker = new input.ColorPicker('#theColorPicker', {
showAlphaChannel: true,
showColorString: true,
valueChanged: (sender) => setBackground(sender.value)
});
//
// customization
document.querySelector('#showAlphaChannel').addEventListener('click', e => {
theColorPicker.showAlphaChannel = e.target.checked;
});
document.querySelector('#showColorString').addEventListener('click', e => {
theColorPicker.showColorString = e.target.checked;
});
//
let thePalette = new input.ComboBox('#thePalette', {
itemsSource: getPalettes(),
displayMemberPath: 'name',
selectedIndexChanged: (sender) => {
theColorPicker.palette = sender.selectedValue.colors;
}
});
//
// show the color that was selected
function setBackground(color) {
document.getElementById('output').style.background = color;
theColorPicker.value = color;
}
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo ColorPicker Overview</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<main class="container-fluid">
<h1>
<div id="output">
Select a background for me!
</div>
</h1>
<div class="form-check">
<label for="showAlphaChannel" class="form-check-label">showAlphaChannel:</label>
<input id="showAlphaChannel" class="form-check-input" type="checkbox" checked="checked">
</div>
<div class="form-check">
<label for="showColorString" class="form-check-label">showColorString:</label>
<input id="showColorString" class="form-check-input" type="checkbox" checked="checked">
</div>
<div class="form-check">
<label for="thePalette">palette: </label>
<div id="thePalette"></div>
</div>
<div id="theColorPicker"></div>
</main>
</body>
</html>
//
export function getPalettes() {
return [
{ name: 'default', colors: '#FFF,#000, #F00,#FFC000,#FFFF00,#92D050,#00B050,#00B0F0,#0070C0,#7030A0'.split(',') },
{ name: 'standard', colors: '#88bde6,#fbb258,#90cd97,#f6aac9,#bfa554,#bc99c7,#eddd46,#f07e6e,#8c8c8c'.split(',') },
{ name: 'cocoa', colors: '#466bb0,#c8b422,#14886e,#b54836,#6e5944,#8b3872,#73b22b,#b87320,#141414'.split(',') },
{ name: 'coral', colors: '#84d0e0,#f48256,#95c78c,#efa5d6,#ba8452,#ab95c2,#ede9d0,#e96b7d,#888888'.split(',') },
{ name: 'dark', colors: '#005fad,#f06400,#009330,#e400b1,#b65800,#6a279c,#d5a211,#dc0127,#000000'.split(',') },
{ name: 'highcontrast', colors: '#ff82b0,#0dda2c,#0021ab,#bcf28c,#19c23b,#890d3a,#607efd,#1b7700,#000000'.split(',') },
{ name: 'light', colors: '#ddca9a,#778deb,#778deb,#b5eae2,#7270be,#a6c7a7,#9e95c7,#95b0c7,#9b9b9b'.split(',') },
{ name: 'midnight', colors: '#83aaca,#e37849,#14a46a,#e097da,#a26d54,#a584b7,#d89c54,#e86996,#2c343b'.split(',') },
{ name: 'minimal', colors: '#92b8da,#e2d287,#accdb8,#eac4cb,#bbbb7a,#cab1ca,#cbd877,#dfb397,#c8c8c8'.split(',') },
{ name: 'modern', colors: '#2d9fc7,#ec993c,#89c235,#e377a4,#a68931,#a672a6,#d0c041,#e35855,#68706a'.split(',') },
{ name: 'organic', colors: '#9c88d9,#a3d767,#8ec3c0,#e9c3a9,#91ab36,#d4ccc0,#61bbd8,#e2d76f,#80715a'.split(',') },
{ name: 'slate', colors: '#7493cd,#f99820,#71b486,#e4a491,#cb883b,#ae83a4,#bacc5c,#e5746a,#505d65'.split(',') },
{ name: 'Standard', colors: '#fff,#000,#FFBE00,#FFFF00,#94D752,#00B652,#00B6EF,#0075C6,#002263,#73359C'.split(',') },
{ name: 'Office', colors: '#fff,#000,#15487B,#EFEFE7,#4A82BD,#C6504A,#9CBA5A,#8465A5,#4AAEC6,#F79642'.split(',') },
{ name: 'GrayScale', colors: '#fff,#000,#000000,#FFFFFF,#DEDEDE,#B4B4B4,#969696,#828282,#5A5A5A,#4B4B4B'.split(',') },
{ name: 'Apex', colors: '#fff,#000,#6B656B,#CEC3D6,#CEBA63,#9CB284,#6BB2CE,#6386CE,#7B69CE,#A578BD'.split(',') },
{ name: 'Aspect', colors: '#fff,#000,#332E33,#E7DFD6,#F77D00,#382733,#15597B,#4A8642,#63487B,#C69A5A'.split(',') },
{ name: 'Civic', colors: '#fff,#000,#636984,#C6D3D6,#D6604A,#CEB600,#28AEAD,#8C7873,#8CB28C,#0E924A'.split(',') },
{ name: 'Concourse', colors: '#fff,#000,#424442,#DEF7FF,#2BA2BD,#DE1C2B,#EF6515,#38609C,#42487B,#7B3D4A'.split(',') },
{ name: 'Equity', colors: '#fff,#000,#6B6563,#EFE7DE,#D64815,#9C2B15,#A58E6B,#946052,#948684,#845D5A'.split(',') },
{ name: 'Flow', colors: '#fff,#000,#00607B,#DEF7FF,#006DC6,#009EDE,#00D3DE,#15CF9C,#7BCB63,#A5C34A'.split(',') },
{ name: 'Foundry', colors: '#fff,#000,#636952,#EFEBDE,#73A273,#B5CFB5,#ADCFD6,#C6BEAD,#CEC794,#EFB6B5'.split(',') },
{ name: 'Median', colors: '#fff,#000,#735D52,#EFDFC6,#94B6D6,#DE8242,#A5AA84,#DEB25A,#7BA69C,#948E8C'.split(',') },
{ name: 'Metro', colors: '#fff,#000,#4A596B,#D6EFFF,#7BD338,#EF157B,#FFBA00,#00AEDE,#738ACE,#15B29C'.split(',') },
{ name: 'Module', colors: '#fff,#000,#5A607B,#D6D7D6,#F7AE00,#63B6CE,#E76D7B,#6BB66B,#EF8652,#C64842'.split(',') },
{ name: 'Opulent', colors: '#fff,#000,#B53D9C,#F7E7EF,#BD3D6B,#AD65BD,#DE6D33,#FFB638,#CE6DA5,#FF8E38'.split(',') },
{ name: 'Oriel', colors: '#fff,#000,#525D6B,#FFF39C,#FF8633,#739ADE,#B52B15,#F7CF2B,#ADBAD6,#737D84'.split(',') },
{ name: 'Origin', colors: '#fff,#000,#424452,#DEEBEF,#737DA5,#9CBACE,#D6DB7B,#FFDB7B,#BD8673,#8C726B'.split(',') },
{ name: 'Paper', colors: '#fff,#000,#424C22,#FFFBCE,#A5B694,#F7A642,#E7BE2B,#D692A5,#9C86C6,#849EC6'.split(',') },
{ name: 'Solstice', colors: '#fff,#000,#4A2215,#E7DFCE,#3892A5,#FFBA00,#C62B2B,#84AA33,#944200,#42598C'.split(',') },
{ name: 'Technic', colors: '#fff,#000,#383838,#D6D3D6,#6BA2B5,#CEAE00,#8C8AA5,#738663,#9C9273,#7B868C'.split(',') },
{ name: 'Trek', colors: '#fff,#000,#4A3833,#FFEFCE,#F7A22B,#A5654A,#B58A84,#C69A6B,#A59673,#C6752B'.split(',') },
{ name: 'Urban', colors: '#fff,#000,#424452,#DEDFDE,#52558C,#428284,#A54CA5,#C6652B,#8C5D38,#5A92B5'.split(',') },
{ name: 'Verve', colors: '#fff,#000,#636563,#D6D3D6,#FF388C,#E7005A,#9C007B,#6B007B,#0059D6,#00359C'.split(',') }
];
}
.wj-colorpicker {
margin-bottom: 18px;
}
#output {
float: right;
font-size: 12px;
border: 1px solid grey;
padding: 12px;
}
label {
width: 200px;
text-align: right;
margin-right: 3px;
}
body {
margin-bottom: 24pt;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

<template>
<main class="container-fluid">
<div id="output" :style="{ background: selectedColorValue }">
Select a background for me!
</div>
<div class="form-check">
<label for="showAlphaChannel" class="form-check-label">showAlphaChannel:</label>
<input id="showAlphaChannel" class="form-check-input" type="checkbox"
v-model="theColorPicker.showAlphaChannel">
</div>
<div class="form-check">
<label for="showColorString" class="form-check-label">showColorString:</label>
<input id="showColorString" class="form-check-input" type="checkbox"
v-model="theColorPicker.showColorString">
</div>
<div class="form-check">
<label for="thePalette">palette: </label>
<wj-combo-box :initialized="initPalette" id="thePalette" :itemsSource="palettes" :displayMemberPath="'name'"
:selectedIndexChanged="indexChanged">
</wj-combo-box>
</div>
<wj-color-picker :initialized="initColorPicker" :palette="colors"
:showAlphaChannel="theColorPicker.showAlphaChannel" :showColorString="theColorPicker.showColorString"
:valueChanged="colorChanged"></wj-color-picker>
</main>
</template>
<script setup>
import { getPalettes } from "./data";
import { ref } from "vue";
const theColorPicker = ref({
showColorString: true,
showAlphaChannel: true,
});
const colors = ref([]);
const selectedColorValue = ref("");
const palettes = ref(getPalettes());
function initColorPicker(colorPicker) {
theColorPicker.value = colorPicker;
}
function initPalette(palette) {
colors.value = palette.selectedItem.colors;
}
function indexChanged(sender, e) {
colors.value = sender.selectedItem.colors;
}
function colorChanged(sender, e) {
selectedColorValue.value = sender.value;
}
</script>
<style>
.container-fluid .wj-colorpicker {
margin-bottom: 18px;
}
#output {
float: right;
font-size: 12px;
border: 1px solid grey;
padding: 12px;
}
label {
width: 200px;
text-align: right;
margin-right: 3px;
}
body {
margin-bottom: 24pt;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo ColorPicker Overview</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
export function getPalettes() {
return [
{ name: 'default', colors: '#FFF,#000, #F00,#FFC000,#FFFF00,#92D050,#00B050,#00B0F0,#0070C0,#7030A0'.split(',') },
{ name: 'standard', colors: '#88bde6,#fbb258,#90cd97,#f6aac9,#bfa554,#bc99c7,#eddd46,#f07e6e,#8c8c8c'.split(',') },
{ name: 'cocoa', colors: '#466bb0,#c8b422,#14886e,#b54836,#6e5944,#8b3872,#73b22b,#b87320,#141414'.split(',') },
{ name: 'coral', colors: '#84d0e0,#f48256,#95c78c,#efa5d6,#ba8452,#ab95c2,#ede9d0,#e96b7d,#888888'.split(',') },
{ name: 'dark', colors: '#005fad,#f06400,#009330,#e400b1,#b65800,#6a279c,#d5a211,#dc0127,#000000'.split(',') },
{ name: 'highcontrast', colors: '#ff82b0,#0dda2c,#0021ab,#bcf28c,#19c23b,#890d3a,#607efd,#1b7700,#000000'.split(',') },
{ name: 'light', colors: '#ddca9a,#778deb,#778deb,#b5eae2,#7270be,#a6c7a7,#9e95c7,#95b0c7,#9b9b9b'.split(',') },
{ name: 'midnight', colors: '#83aaca,#e37849,#14a46a,#e097da,#a26d54,#a584b7,#d89c54,#e86996,#2c343b'.split(',') },
{ name: 'minimal', colors: '#92b8da,#e2d287,#accdb8,#eac4cb,#bbbb7a,#cab1ca,#cbd877,#dfb397,#c8c8c8'.split(',') },
{ name: 'modern', colors: '#2d9fc7,#ec993c,#89c235,#e377a4,#a68931,#a672a6,#d0c041,#e35855,#68706a'.split(',') },
{ name: 'organic', colors: '#9c88d9,#a3d767,#8ec3c0,#e9c3a9,#91ab36,#d4ccc0,#61bbd8,#e2d76f,#80715a'.split(',') },
{ name: 'slate', colors: '#7493cd,#f99820,#71b486,#e4a491,#cb883b,#ae83a4,#bacc5c,#e5746a,#505d65'.split(',') },
{ name: 'Standard', colors: '#fff,#000,#FFBE00,#FFFF00,#94D752,#00B652,#00B6EF,#0075C6,#002263,#73359C'.split(',') },
{ name: 'Office', colors: '#fff,#000,#15487B,#EFEFE7,#4A82BD,#C6504A,#9CBA5A,#8465A5,#4AAEC6,#F79642'.split(',') },
{ name: 'GrayScale', colors: '#fff,#000,#000000,#FFFFFF,#DEDEDE,#B4B4B4,#969696,#828282,#5A5A5A,#4B4B4B'.split(',') },
{ name: 'Apex', colors: '#fff,#000,#6B656B,#CEC3D6,#CEBA63,#9CB284,#6BB2CE,#6386CE,#7B69CE,#A578BD'.split(',') },
{ name: 'Aspect', colors: '#fff,#000,#332E33,#E7DFD6,#F77D00,#382733,#15597B,#4A8642,#63487B,#C69A5A'.split(',') },
{ name: 'Civic', colors: '#fff,#000,#636984,#C6D3D6,#D6604A,#CEB600,#28AEAD,#8C7873,#8CB28C,#0E924A'.split(',') },
{ name: 'Concourse', colors: '#fff,#000,#424442,#DEF7FF,#2BA2BD,#DE1C2B,#EF6515,#38609C,#42487B,#7B3D4A'.split(',') },
{ name: 'Equity', colors: '#fff,#000,#6B6563,#EFE7DE,#D64815,#9C2B15,#A58E6B,#946052,#948684,#845D5A'.split(',') },
{ name: 'Flow', colors: '#fff,#000,#00607B,#DEF7FF,#006DC6,#009EDE,#00D3DE,#15CF9C,#7BCB63,#A5C34A'.split(',') },
{ name: 'Foundry', colors: '#fff,#000,#636952,#EFEBDE,#73A273,#B5CFB5,#ADCFD6,#C6BEAD,#CEC794,#EFB6B5'.split(',') },
{ name: 'Median', colors: '#fff,#000,#735D52,#EFDFC6,#94B6D6,#DE8242,#A5AA84,#DEB25A,#7BA69C,#948E8C'.split(',') },
{ name: 'Metro', colors: '#fff,#000,#4A596B,#D6EFFF,#7BD338,#EF157B,#FFBA00,#00AEDE,#738ACE,#15B29C'.split(',') },
{ name: 'Module', colors: '#fff,#000,#5A607B,#D6D7D6,#F7AE00,#63B6CE,#E76D7B,#6BB66B,#EF8652,#C64842'.split(',') },
{ name: 'Opulent', colors: '#fff,#000,#B53D9C,#F7E7EF,#BD3D6B,#AD65BD,#DE6D33,#FFB638,#CE6DA5,#FF8E38'.split(',') },
{ name: 'Oriel', colors: '#fff,#000,#525D6B,#FFF39C,#FF8633,#739ADE,#B52B15,#F7CF2B,#ADBAD6,#737D84'.split(',') },
{ name: 'Origin', colors: '#fff,#000,#424452,#DEEBEF,#737DA5,#9CBACE,#D6DB7B,#FFDB7B,#BD8673,#8C726B'.split(',') },
{ name: 'Paper', colors: '#fff,#000,#424C22,#FFFBCE,#A5B694,#F7A642,#E7BE2B,#D692A5,#9C86C6,#849EC6'.split(',') },
{ name: 'Solstice', colors: '#fff,#000,#4A2215,#E7DFCE,#3892A5,#FFBA00,#C62B2B,#84AA33,#944200,#42598C'.split(',') },
{ name: 'Technic', colors: '#fff,#000,#383838,#D6D3D6,#6BA2B5,#CEAE00,#8C8AA5,#738663,#9C9273,#7B868C'.split(',') },
{ name: 'Trek', colors: '#fff,#000,#4A3833,#FFEFCE,#F7A22B,#A5654A,#B58A84,#C69A6B,#A59673,#C6752B'.split(',') },
{ name: 'Urban', colors: '#fff,#000,#424452,#DEDFDE,#52558C,#428284,#A54CA5,#C6652B,#8C5D38,#5A92B5'.split(',') },
{ name: 'Verve', colors: '#fff,#000,#636563,#D6D3D6,#FF388C,#E7005A,#9C007B,#6B007B,#0059D6,#00359C'.split(',') }
];
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' },
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.vue2.chart.analytics': 'cdn:@mescius/wijmo.vue2.chart.analytics/index.js',
'@mescius/wijmo.vue2.chart.animation': 'cdn:@mescius/wijmo.vue2.chart.animation/index.js',
'@mescius/wijmo.vue2.chart.annotation': 'cdn:@mescius/wijmo.vue2.chart.annotation/index.js',
'@mescius/wijmo.vue2.chart.finance.analytics': 'cdn:@mescius/wijmo.vue2.chart.finance.analytics/index.js',
'@mescius/wijmo.vue2.chart.finance': 'cdn:@mescius/wijmo.vue2.chart.finance/index.js',
'@mescius/wijmo.vue2.chart.hierarchical': 'cdn:@mescius/wijmo.vue2.chart.hierarchical/index.js',
'@mescius/wijmo.vue2.chart.interaction': 'cdn:@mescius/wijmo.vue2.chart.interaction/index.js',
'@mescius/wijmo.vue2.chart.radar': 'cdn:@mescius/wijmo.vue2.chart.radar/index.js',
'@mescius/wijmo.vue2.chart.map': 'cdn:@mescius/wijmo.vue2.chart.map/index.js',
'@mescius/wijmo.vue2.chart': 'cdn:@mescius/wijmo.vue2.chart/index.js',
'@mescius/wijmo.vue2.core': 'cdn:@mescius/wijmo.vue2.core/index.js',
'@mescius/wijmo.vue2.gauge': 'cdn:@mescius/wijmo.vue2.gauge/index.js',
'@mescius/wijmo.vue2.grid.detail': 'cdn:@mescius/wijmo.vue2.grid.detail/index.js',
'@mescius/wijmo.vue2.grid.filter': 'cdn:@mescius/wijmo.vue2.grid.filter/index.js',
'@mescius/wijmo.vue2.grid.grouppanel': 'cdn:@mescius/wijmo.vue2.grid.grouppanel/index.js',
'@mescius/wijmo.vue2.grid.search': 'cdn:@mescius/wijmo.vue2.grid.search/index.js',
'@mescius/wijmo.vue2.grid.multirow': 'cdn:@mescius/wijmo.vue2.grid.multirow/index.js',
'@mescius/wijmo.vue2.grid.sheet': 'cdn:@mescius/wijmo.vue2.grid.sheet/index.js',
'@mescius/wijmo.vue2.grid.transposed': 'cdn:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'cdn:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
'@mescius/wijmo.vue2.grid': 'cdn:@mescius/wijmo.vue2.grid/index.js',
'@mescius/wijmo.vue2.input': 'cdn:@mescius/wijmo.vue2.input/index.js',
'@mescius/wijmo.vue2.olap': 'cdn:@mescius/wijmo.vue2.olap/index.js',
'@mescius/wijmo.vue2.viewer': 'cdn:@mescius/wijmo.vue2.viewer/index.js',
'@mescius/wijmo.vue2.nav': 'cdn:@mescius/wijmo.vue2.nav/index.js',
'@mescius/wijmo.vue2.base': 'cdn:@mescius/wijmo.vue2.base/index.js',
'@mescius/wijmo.vue2.barcode.common': 'cdn:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'cdn:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'cdn:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
vue: 'pcdn:vue@3.4.21/dist/vue.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'vue-loader': 'pcdn:systemjs-vue-browser@1.0.11/index.js',
//'systemjs-plugin-vue': 'pcdn:systemjs-plugin-vue@1.2.0/index.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
rxjs: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
wijmo: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import '@angular/compiler';
import { Component, enableProdMode, Inject, ɵresolveComponentResources } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { DataService, TPalette } from './app.data';
//
@Component({
standalone: true,
providers: [DataService],
imports: [WjInputModule, BrowserModule, FormsModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
palettes: TPalette[];
//
constructor(@Inject(DataService) private dataService: DataService) {
this.palettes = dataService.getPalettes();
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo ColorPicker Overview</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="https://cdn.jsdelivr.net/npm/core-js/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<main class="container-fluid">
<div id="output" [style.background]="theColorPicker.value">
Select a background for me!
</div>
<div class="form-check">
<label for="showAlphaChannel" class="form-check-label">showAlphaChannel:</label>
<input id="showAlphaChannel" class="form-check-input" type="checkbox"
[(ngModel)]="theColorPicker.showAlphaChannel">
</div>
<div class="form-check">
<label for="showColorString" class="form-check-label">showColorString:</label>
<input id="showColorString" class="form-check-input" type="checkbox"
[(ngModel)]="theColorPicker.showColorString">
</div>
<div class="form-check">
<label for="thePalette">palette: </label>
<wj-combo-box #thePalette id="thePalette" [itemsSource]="palettes" [displayMemberPath]="'name'">
</wj-combo-box>
</div>
<wj-color-picker #theColorPicker [palette]="thePalette.selectedValue.colors" [showAlphaChannel]="true"
[showColorString]="true"></wj-color-picker>
</main>
import { Injectable } from '@angular/core';
//
export type TPalette = {
name: string;
colors: string[]
}
//
@Injectable()
export class DataService {
getPalettes() {
return <TPalette[]>[
{ name: 'default', colors: '#FFF,#000, #F00,#FFC000,#FFFF00,#92D050,#00B050,#00B0F0,#0070C0,#7030A0'.split(',') },
{ name: 'standard', colors: '#88bde6,#fbb258,#90cd97,#f6aac9,#bfa554,#bc99c7,#eddd46,#f07e6e,#8c8c8c'.split(',') },
{ name: 'cocoa', colors: '#466bb0,#c8b422,#14886e,#b54836,#6e5944,#8b3872,#73b22b,#b87320,#141414'.split(',') },
{ name: 'coral', colors: '#84d0e0,#f48256,#95c78c,#efa5d6,#ba8452,#ab95c2,#ede9d0,#e96b7d,#888888'.split(',') },
{ name: 'dark', colors: '#005fad,#f06400,#009330,#e400b1,#b65800,#6a279c,#d5a211,#dc0127,#000000'.split(',') },
{ name: 'highcontrast', colors: '#ff82b0,#0dda2c,#0021ab,#bcf28c,#19c23b,#890d3a,#607efd,#1b7700,#000000'.split(',') },
{ name: 'light', colors: '#ddca9a,#778deb,#778deb,#b5eae2,#7270be,#a6c7a7,#9e95c7,#95b0c7,#9b9b9b'.split(',') },
{ name: 'midnight', colors: '#83aaca,#e37849,#14a46a,#e097da,#a26d54,#a584b7,#d89c54,#e86996,#2c343b'.split(',') },
{ name: 'minimal', colors: '#92b8da,#e2d287,#accdb8,#eac4cb,#bbbb7a,#cab1ca,#cbd877,#dfb397,#c8c8c8'.split(',') },
{ name: 'modern', colors: '#2d9fc7,#ec993c,#89c235,#e377a4,#a68931,#a672a6,#d0c041,#e35855,#68706a'.split(',') },
{ name: 'organic', colors: '#9c88d9,#a3d767,#8ec3c0,#e9c3a9,#91ab36,#d4ccc0,#61bbd8,#e2d76f,#80715a'.split(',') },
{ name: 'slate', colors: '#7493cd,#f99820,#71b486,#e4a491,#cb883b,#ae83a4,#bacc5c,#e5746a,#505d65'.split(',') },
{ name: 'Standard', colors: '#fff,#000,#FFBE00,#FFFF00,#94D752,#00B652,#00B6EF,#0075C6,#002263,#73359C'.split(',') },
{ name: 'Office', colors: '#fff,#000,#15487B,#EFEFE7,#4A82BD,#C6504A,#9CBA5A,#8465A5,#4AAEC6,#F79642'.split(',') },
{ name: 'GrayScale', colors: '#fff,#000,#000000,#FFFFFF,#DEDEDE,#B4B4B4,#969696,#828282,#5A5A5A,#4B4B4B'.split(',') },
{ name: 'Apex', colors: '#fff,#000,#6B656B,#CEC3D6,#CEBA63,#9CB284,#6BB2CE,#6386CE,#7B69CE,#A578BD'.split(',') },
{ name: 'Aspect', colors: '#fff,#000,#332E33,#E7DFD6,#F77D00,#382733,#15597B,#4A8642,#63487B,#C69A5A'.split(',') },
{ name: 'Civic', colors: '#fff,#000,#636984,#C6D3D6,#D6604A,#CEB600,#28AEAD,#8C7873,#8CB28C,#0E924A'.split(',') },
{ name: 'Concourse', colors: '#fff,#000,#424442,#DEF7FF,#2BA2BD,#DE1C2B,#EF6515,#38609C,#42487B,#7B3D4A'.split(',') },
{ name: 'Equity', colors: '#fff,#000,#6B6563,#EFE7DE,#D64815,#9C2B15,#A58E6B,#946052,#948684,#845D5A'.split(',') },
{ name: 'Flow', colors: '#fff,#000,#00607B,#DEF7FF,#006DC6,#009EDE,#00D3DE,#15CF9C,#7BCB63,#A5C34A'.split(',') },
{ name: 'Foundry', colors: '#fff,#000,#636952,#EFEBDE,#73A273,#B5CFB5,#ADCFD6,#C6BEAD,#CEC794,#EFB6B5'.split(',') },
{ name: 'Median', colors: '#fff,#000,#735D52,#EFDFC6,#94B6D6,#DE8242,#A5AA84,#DEB25A,#7BA69C,#948E8C'.split(',') },
{ name: 'Metro', colors: '#fff,#000,#4A596B,#D6EFFF,#7BD338,#EF157B,#FFBA00,#00AEDE,#738ACE,#15B29C'.split(',') },
{ name: 'Module', colors: '#fff,#000,#5A607B,#D6D7D6,#F7AE00,#63B6CE,#E76D7B,#6BB66B,#EF8652,#C64842'.split(',') },
{ name: 'Opulent', colors: '#fff,#000,#B53D9C,#F7E7EF,#BD3D6B,#AD65BD,#DE6D33,#FFB638,#CE6DA5,#FF8E38'.split(',') },
{ name: 'Oriel', colors: '#fff,#000,#525D6B,#FFF39C,#FF8633,#739ADE,#B52B15,#F7CF2B,#ADBAD6,#737D84'.split(',') },
{ name: 'Origin', colors: '#fff,#000,#424452,#DEEBEF,#737DA5,#9CBACE,#D6DB7B,#FFDB7B,#BD8673,#8C726B'.split(',') },
{ name: 'Paper', colors: '#fff,#000,#424C22,#FFFBCE,#A5B694,#F7A642,#E7BE2B,#D692A5,#9C86C6,#849EC6'.split(',') },
{ name: 'Solstice', colors: '#fff,#000,#4A2215,#E7DFCE,#3892A5,#FFBA00,#C62B2B,#84AA33,#944200,#42598C'.split(',') },
{ name: 'Technic', colors: '#fff,#000,#383838,#D6D3D6,#6BA2B5,#CEAE00,#8C8AA5,#738663,#9C9273,#7B868C'.split(',') },
{ name: 'Trek', colors: '#fff,#000,#4A3833,#FFEFCE,#F7A22B,#A5654A,#B58A84,#C69A6B,#A59673,#C6752B'.split(',') },
{ name: 'Urban', colors: '#fff,#000,#424452,#DEDFDE,#52558C,#428284,#A54CA5,#C6652B,#8C5D38,#5A92B5'.split(',') },
{ name: 'Verve', colors: '#fff,#000,#636563,#D6D3D6,#FF388C,#E7005A,#9C007B,#6B007B,#0059D6,#00359C'.split(',') }
];
}
}
.wj-colorpicker {
margin-bottom: 18px;
}
#output {
float: right;
font-size: 12px;
border: 1px solid grey;
padding: 12px;
}
label {
width: 200px;
text-align: right;
margin-right: 3px;
}
body {
margin-bottom: 24pt;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
target: 'ES2022',
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
typescript: {
exports: 'ts',
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm',
},
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/',
'agpcdn:': 'https://cdn.jsdelivr.net/npm/'
},
packageConfigPaths: ['/node_modules/*/package.json', '/node_modules/@angular/*/package.json', '/node_modules/@mescius/*/package.json'],
map: {
'core-js': 'agpcdn:core-js@2.6.12/client/shim.min.js',
'typescript': 'agpcdn:typescript@5.9.3/lib/typescript.min.js',
rxjs: 'agpcdn:rxjs@7.8.1/dist/bundles/rxjs.umd.min.js',
'systemjs-plugin-css': 'agpcdn:systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.angular2.chart.analytics': 'cdn:@mescius/wijmo.angular2.chart.analytics/index.js',
'@mescius/wijmo.angular2.chart.animation': 'cdn:@mescius/wijmo.angular2.chart.animation/index.js',
'@mescius/wijmo.angular2.chart.annotation': 'cdn:@mescius/wijmo.angular2.chart.annotation/index.js',
'@mescius/wijmo.angular2.chart.finance.analytics': 'cdn:@mescius/wijmo.angular2.chart.finance.analytics/index.js',
'@mescius/wijmo.angular2.chart.finance': 'cdn:@mescius/wijmo.angular2.chart.finance/index.js',
'@mescius/wijmo.angular2.chart.hierarchical': 'cdn:@mescius/wijmo.angular2.chart.hierarchical/index.js',
'@mescius/wijmo.angular2.chart.interaction': 'cdn:@mescius/wijmo.angular2.chart.interaction/index.js',
'@mescius/wijmo.angular2.chart.radar': 'cdn:@mescius/wijmo.angular2.chart.radar/index.js',
'@mescius/wijmo.angular2.chart.map': 'cdn:@mescius/wijmo.angular2.chart.map/index.js',
'@mescius/wijmo.angular2.chart': 'cdn:@mescius/wijmo.angular2.chart/index.js',
'@mescius/wijmo.angular2.core': 'cdn:@mescius/wijmo.angular2.core/index.js',
'@mescius/wijmo.angular2.gauge': 'cdn:@mescius/wijmo.angular2.gauge/index.js',
'@mescius/wijmo.angular2.grid.detail': 'cdn:@mescius/wijmo.angular2.grid.detail/index.js',
'@mescius/wijmo.angular2.grid.filter': 'cdn:@mescius/wijmo.angular2.grid.filter/index.js',
'@mescius/wijmo.angular2.grid.grouppanel': 'cdn:@mescius/wijmo.angular2.grid.grouppanel/index.js',
'@mescius/wijmo.angular2.grid.search': 'cdn:@mescius/wijmo.angular2.grid.search/index.js',
'@mescius/wijmo.angular2.grid.multirow': 'cdn:@mescius/wijmo.angular2.grid.multirow/index.js',
'@mescius/wijmo.angular2.grid.sheet': 'cdn:@mescius/wijmo.angular2.grid.sheet/index.js',
'@mescius/wijmo.angular2.grid.transposed': 'cdn:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'cdn:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
'@mescius/wijmo.angular2.grid': 'cdn:@mescius/wijmo.angular2.grid/index.js',
'@mescius/wijmo.angular2.input': 'cdn:@mescius/wijmo.angular2.input/index.js',
'@mescius/wijmo.angular2.olap': 'cdn:@mescius/wijmo.angular2.olap/index.js',
'@mescius/wijmo.angular2.viewer': 'cdn:@mescius/wijmo.angular2.viewer/index.js',
'@mescius/wijmo.angular2.nav': 'cdn:@mescius/wijmo.angular2.nav/index.js',
'@mescius/wijmo.angular2.directivebase': 'cdn:@mescius/wijmo.angular2.directivebase/index.js',
'@mescius/wijmo.angular2.barcode.common': 'cdn:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'cdn:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'cdn:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
jszip: 'agpcdn:jszip@3.10.1/dist/jszip.min.js',
'@angular/core': 'pcdn:@angular/core@21.1.0/fesm2022/core.mjs',
'@angular/core/primitives/di': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-di.mjs',
'@angular/core/primitives/signals': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-signals.mjs',
'@angular/core/primitives/event-dispatch': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-event-dispatch.mjs',
'@angular/common': 'pcdn:@angular/common@21.1.0/fesm2022/common.mjs',
'@angular/common/http': 'pcdn:@angular/common@21.1.0/fesm2022/http.mjs',
'@angular/compiler': 'pcdn:@angular/compiler@21.1.0/fesm2022/compiler.mjs',
'@angular/platform-browser': 'pcdn:@angular/platform-browser@21.1.0/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'pcdn:@angular/platform-browser-dynamic@21.1.0/fesm2022/platform-browser-dynamic.mjs',
'@angular/router': 'pcdn:@angular/router@21.1.0/fesm2022/router.mjs',
'@angular/forms': 'pcdn:@angular/forms@21.1.0/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
'./src': {
defaultExtension: 'ts',
},
node_modules: {
defaultExtension: 'js',
},
wijmo: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useState } from 'react';
import useEvent from 'react-use-event-hook';
import * as wjInput from '@mescius/wijmo.react.input';
import './app.css';
import { palettes } from './data';
function App() {
const [showColorString, setShowColorString] = useState(true);
const [showAlphaChannel, setShowAlphaChannel] = useState(true);
const [color, setColor] = useState('');
const [palette, setPalette] = useState(palettes[0].colors);
const onShowAlphaChannelChange = (e) => {
setShowAlphaChannel(e.target.checked);
};
const onShowColorStringChange = (e) => {
setShowColorString(e.target.checked);
};
const onPaletteChanged = useEvent((sender) => {
setPalette(sender.selectedItem.colors);
});
const onValueChanged = useEvent((sender) => {
setColor(sender.value);
});
return (<main className="container-fluid">
<div id="output" style={{ "background": color }}>
Select a background for me!
</div>
<div className="form-check">
<label htmlFor="showAlphaChannel" className="form-check-label">showAlphaChannel:</label>
<input id="showAlphaChannel" className="form-check-input" type="checkbox" onChange={onShowAlphaChannelChange} defaultChecked={showAlphaChannel}/>
</div>
<div className="form-check">
<label htmlFor="showColorString" className="form-check-label">showColorString:</label>
<input id="showColorString" className="form-check-input" type="checkbox" onChange={onShowColorStringChange} defaultChecked={showColorString}/>
</div>
<div className="form-check">
<label htmlFor="thePalette">palette: </label>
<wjInput.ComboBox displayMemberPath="name" itemsSource={palettes} selectedIndexChanged={onPaletteChanged}/>
</div>
<wjInput.ColorPicker palette={palette} showAlphaChannel={showAlphaChannel} showColorString={showColorString} valueChanged={onValueChanged}/>
</main>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo ColorPicker Overview</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.19.40/dist/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.wj-colorpicker {
margin-bottom: 18px;
}
#output {
float: right;
font-size: 12px;
border: 1px solid grey;
padding: 12px;
}
label {
width: 200px;
text-align: right;
margin-right: 3px;
}
function getPalettes() {
return [
{ name: 'default', colors: '#FFF,#000, #F00,#FFC000,#FFFF00,#92D050,#00B050,#00B0F0,#0070C0,#7030A0'.split(',') },
{ name: 'standard', colors: '#88bde6,#fbb258,#90cd97,#f6aac9,#bfa554,#bc99c7,#eddd46,#f07e6e,#8c8c8c'.split(',') },
{ name: 'cocoa', colors: '#466bb0,#c8b422,#14886e,#b54836,#6e5944,#8b3872,#73b22b,#b87320,#141414'.split(',') },
{ name: 'coral', colors: '#84d0e0,#f48256,#95c78c,#efa5d6,#ba8452,#ab95c2,#ede9d0,#e96b7d,#888888'.split(',') },
{ name: 'dark', colors: '#005fad,#f06400,#009330,#e400b1,#b65800,#6a279c,#d5a211,#dc0127,#000000'.split(',') },
{ name: 'highcontrast', colors: '#ff82b0,#0dda2c,#0021ab,#bcf28c,#19c23b,#890d3a,#607efd,#1b7700,#000000'.split(',') },
{ name: 'light', colors: '#ddca9a,#778deb,#778deb,#b5eae2,#7270be,#a6c7a7,#9e95c7,#95b0c7,#9b9b9b'.split(',') },
{ name: 'midnight', colors: '#83aaca,#e37849,#14a46a,#e097da,#a26d54,#a584b7,#d89c54,#e86996,#2c343b'.split(',') },
{ name: 'minimal', colors: '#92b8da,#e2d287,#accdb8,#eac4cb,#bbbb7a,#cab1ca,#cbd877,#dfb397,#c8c8c8'.split(',') },
{ name: 'modern', colors: '#2d9fc7,#ec993c,#89c235,#e377a4,#a68931,#a672a6,#d0c041,#e35855,#68706a'.split(',') },
{ name: 'organic', colors: '#9c88d9,#a3d767,#8ec3c0,#e9c3a9,#91ab36,#d4ccc0,#61bbd8,#e2d76f,#80715a'.split(',') },
{ name: 'slate', colors: '#7493cd,#f99820,#71b486,#e4a491,#cb883b,#ae83a4,#bacc5c,#e5746a,#505d65'.split(',') },
{ name: 'Standard', colors: '#fff,#000,#FFBE00,#FFFF00,#94D752,#00B652,#00B6EF,#0075C6,#002263,#73359C'.split(',') },
{ name: 'Office', colors: '#fff,#000,#15487B,#EFEFE7,#4A82BD,#C6504A,#9CBA5A,#8465A5,#4AAEC6,#F79642'.split(',') },
{ name: 'GrayScale', colors: '#fff,#000,#000000,#FFFFFF,#DEDEDE,#B4B4B4,#969696,#828282,#5A5A5A,#4B4B4B'.split(',') },
{ name: 'Apex', colors: '#fff,#000,#6B656B,#CEC3D6,#CEBA63,#9CB284,#6BB2CE,#6386CE,#7B69CE,#A578BD'.split(',') },
{ name: 'Aspect', colors: '#fff,#000,#332E33,#E7DFD6,#F77D00,#382733,#15597B,#4A8642,#63487B,#C69A5A'.split(',') },
{ name: 'Civic', colors: '#fff,#000,#636984,#C6D3D6,#D6604A,#CEB600,#28AEAD,#8C7873,#8CB28C,#0E924A'.split(',') },
{ name: 'Concourse', colors: '#fff,#000,#424442,#DEF7FF,#2BA2BD,#DE1C2B,#EF6515,#38609C,#42487B,#7B3D4A'.split(',') },
{ name: 'Equity', colors: '#fff,#000,#6B6563,#EFE7DE,#D64815,#9C2B15,#A58E6B,#946052,#948684,#845D5A'.split(',') },
{ name: 'Flow', colors: '#fff,#000,#00607B,#DEF7FF,#006DC6,#009EDE,#00D3DE,#15CF9C,#7BCB63,#A5C34A'.split(',') },
{ name: 'Foundry', colors: '#fff,#000,#636952,#EFEBDE,#73A273,#B5CFB5,#ADCFD6,#C6BEAD,#CEC794,#EFB6B5'.split(',') },
{ name: 'Median', colors: '#fff,#000,#735D52,#EFDFC6,#94B6D6,#DE8242,#A5AA84,#DEB25A,#7BA69C,#948E8C'.split(',') },
{ name: 'Metro', colors: '#fff,#000,#4A596B,#D6EFFF,#7BD338,#EF157B,#FFBA00,#00AEDE,#738ACE,#15B29C'.split(',') },
{ name: 'Module', colors: '#fff,#000,#5A607B,#D6D7D6,#F7AE00,#63B6CE,#E76D7B,#6BB66B,#EF8652,#C64842'.split(',') },
{ name: 'Opulent', colors: '#fff,#000,#B53D9C,#F7E7EF,#BD3D6B,#AD65BD,#DE6D33,#FFB638,#CE6DA5,#FF8E38'.split(',') },
{ name: 'Oriel', colors: '#fff,#000,#525D6B,#FFF39C,#FF8633,#739ADE,#B52B15,#F7CF2B,#ADBAD6,#737D84'.split(',') },
{ name: 'Origin', colors: '#fff,#000,#424452,#DEEBEF,#737DA5,#9CBACE,#D6DB7B,#FFDB7B,#BD8673,#8C726B'.split(',') },
{ name: 'Paper', colors: '#fff,#000,#424C22,#FFFBCE,#A5B694,#F7A642,#E7BE2B,#D692A5,#9C86C6,#849EC6'.split(',') },
{ name: 'Solstice', colors: '#fff,#000,#4A2215,#E7DFCE,#3892A5,#FFBA00,#C62B2B,#84AA33,#944200,#42598C'.split(',') },
{ name: 'Technic', colors: '#fff,#000,#383838,#D6D3D6,#6BA2B5,#CEAE00,#8C8AA5,#738663,#9C9273,#7B868C'.split(',') },
{ name: 'Trek', colors: '#fff,#000,#4A3833,#FFEFCE,#F7A22B,#A5654A,#B58A84,#C69A6B,#A59673,#C6752B'.split(',') },
{ name: 'Urban', colors: '#fff,#000,#424452,#DEDFDE,#52558C,#428284,#A54CA5,#C6652B,#8C5D38,#5A92B5'.split(',') },
{ name: 'Verve', colors: '#fff,#000,#636563,#D6D3D6,#FF388C,#E7005A,#9C007B,#6B007B,#0059D6,#00359C'.split(',') }
];
}
export const palettes = getPalettes();
(function (global) {
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'cdn:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.react.chart.analytics': 'cdn:@mescius/wijmo.react.chart.analytics/index.js',
'@mescius/wijmo.react.chart.animation': 'cdn:@mescius/wijmo.react.chart.animation/index.js',
'@mescius/wijmo.react.chart.annotation': 'cdn:@mescius/wijmo.react.chart.annotation/index.js',
'@mescius/wijmo.react.chart.finance.analytics': 'cdn:@mescius/wijmo.react.chart.finance.analytics/index.js',
'@mescius/wijmo.react.chart.finance': 'cdn:@mescius/wijmo.react.chart.finance/index.js',
'@mescius/wijmo.react.chart.hierarchical': 'cdn:@mescius/wijmo.react.chart.hierarchical/index.js',
'@mescius/wijmo.react.chart.interaction': 'cdn:@mescius/wijmo.react.chart.interaction/index.js',
'@mescius/wijmo.react.chart.radar': 'cdn:@mescius/wijmo.react.chart.radar/index.js',
'@mescius/wijmo.react.chart': 'cdn:@mescius/wijmo.react.chart/index.js',
'@mescius/wijmo.react.core': 'cdn:@mescius/wijmo.react.core/index.js',
'@mescius/wijmo.react.chart.map': 'cdn:@mescius/wijmo.react.chart.map/index.js',
'@mescius/wijmo.react.gauge': 'cdn:@mescius/wijmo.react.gauge/index.js',
'@mescius/wijmo.react.grid.detail': 'cdn:@mescius/wijmo.react.grid.detail/index.js',
'@mescius/wijmo.react.grid.filter': 'cdn:@mescius/wijmo.react.grid.filter/index.js',
'@mescius/wijmo.react.grid.grouppanel': 'cdn:@mescius/wijmo.react.grid.grouppanel/index.js',
'@mescius/wijmo.react.grid.search': 'cdn:@mescius/wijmo.react.grid.search/index.js',
'@mescius/wijmo.react.grid.multirow': 'cdn:@mescius/wijmo.react.grid.multirow/index.js',
'@mescius/wijmo.react.grid.sheet': 'cdn:@mescius/wijmo.react.grid.sheet/index.js',
'@mescius/wijmo.react.grid.transposed': 'cdn:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'cdn:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'cdn:@mescius/wijmo.react.grid.immutable/index.js',
'@mescius/wijmo.react.grid': 'cdn:@mescius/wijmo.react.grid/index.js',
'@mescius/wijmo.react.input': 'cdn:@mescius/wijmo.react.input/index.js',
'@mescius/wijmo.react.olap': 'cdn:@mescius/wijmo.react.olap/index.js',
'@mescius/wijmo.react.viewer': 'cdn:@mescius/wijmo.react.viewer/index.js',
'@mescius/wijmo.react.nav': 'cdn:@mescius/wijmo.react.nav/index.js',
'@mescius/wijmo.react.base': 'cdn:@mescius/wijmo.react.base/index.js',
'@mescius/wijmo.react.barcode.common': 'cdn:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'cdn:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'cdn:@mescius/wijmo.react.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
react: 'pcdn:react@19.0.0/index.js',
'react-dom': 'pcdn:react-dom@19.0.0/index.js',
'react-dom/client': 'pcdn:react-dom@19.0.0/client.js',
scheduler: 'pcdn:scheduler@0.25.0/index.js',
redux: 'pcdn:redux@5.0.1/dist/redux.legacy-esm.js',
'react-redux': 'pcdn:react-redux@9.2.0/dist/react-redux.legacy-esm.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
'react-use-event-hook': 'pcdn:react-use-event-hook@0.9.6/dist/esm/useEvent.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);